Package org.apache.jmeter.util

# Class SlowInputStream

java.lang.Object
java.io.InputStream
java.io.FilterInputStream
org.apache.jmeter.util.SlowInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class SlowInputStream extends FilterInputStream
InputStream wrapper to emulate a slow device, e.g. modem

- ## Field Summary

  ### Fields inherited from class java.io.FilterInputStream

  `in`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SlowInputStream(InputStream in, int cps)`
  Wraps the input stream to emulate a slow device

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `read()`
  `int`
  `read(byte[] b, int off, int len)`

  ### Methods inherited from class java.io.FilterInputStream

  `available, close, mark, markSupported, read, reset, skip`

  ### Methods inherited from class java.io.InputStream

  `nullInputStream, readAllBytes, readNBytes, readNBytes, skipNBytes, transferTo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SlowInputStream

    public SlowInputStream(InputStream in, int cps)
    Wraps the input stream to emulate a slow device
    Parameters:
      `in` - input stream
      `cps` - characters per second to emulate

- ## Method Details

  - ### read

    public int read() throws IOException
    Overrides:
      `read` in class `FilterInputStream`
    Throws:
      `IOException`

  - ### read

    public int read(byte[] b, int off, int len) throws IOException
    Overrides:
      `read` in class `FilterInputStream`
    Throws:
      `IOException`